<Query Kind="Statements" />

new Note (20, 100).Dump();

public class Note
{
	public int Pitch { get; }
	public int Duration { get; }
	public int? Volume { get; }
	public int? Channel { get; }

	public Note (int pitch, int duration, int? volume = null, int? channel = null) : this (pitch, duration)
	{
		Volume = volume;
		Channel = channel;
	}

	[System.ComponentModel.EditorBrowsable (System.ComponentModel.EditorBrowsableState.Never)]
	public Note (int pitch, int duration)
	{
		Pitch = pitch;
		Duration = duration;
	}
}
