<Query Kind="Statements">
  <Namespace>System.Runtime.InteropServices</Namespace>
</Query>

// Here's how to use a function pointer to call an unmanaged method:

EnumWindows (&PrintWindow, IntPtr.Zero);

[DllImport ("user32.dll")]
static extern int EnumWindows (delegate*<IntPtr, IntPtr, bool> hWnd, IntPtr lParam);

static bool PrintWindow (IntPtr hWnd, IntPtr lParam)
{
	hWnd.Dump();
	return true;
}