<Query Kind="Statements">
  <Namespace>System.Runtime.CompilerServices</Namespace>
  <RuntimeVersion>5.0</RuntimeVersion>
</Query>

// The [SkipLocalsInit] attribute instructs the CLR not to initialize local variables.
// This can improve performance slightly with large stackallocs.

Foo();

unsafe void Foo()
{
	int local;
	int* ptr = &local;
	(*ptr).Dump();
	
	int* a = stackalloc int [20];
	for (int i = 0; i < 20; ++i) a [i].Dump();
}
