<Query Kind="Statements" />

var goodNote = new Note (10, 10);
var badNote = new Note (10, -1);
var badCopy = goodNote with { Duration = -1 };

record Note
{	
	public int Pitch { get; init; }
	
	int _duration;
	public int Duration 
	{ 
		get => _duration;
		init => _duration = value > 0 
			? value 
			: throw new ArgumentException ("Duration must be > 0");
	}

	public Note (int Pitch, int Duration)
	{
		this.Pitch = Pitch;
		this.Duration = Duration;
	}
}