<Query Kind="Statements" />

var point = new Point (1, 1);
point.DistanceFromOrigin.Dump();

var point2 = point with { Y = 10 };
point2.DistanceFromOrigin.Dump();    // Doesn't update

record Point
{
	public double X { get; init; }
	public double Y { get; init; }

	public double DistanceFromOrigin { get; }

	public Point (double x, double y)
	{
		X = x;
		Y = y;
		DistanceFromOrigin = Math.Sqrt (x * x + y * y);
	}
}
