<Query Kind="Statements" />

var student = new Student { Name = "Li", ID = "123" };
var clone = student.Clone();
clone.ID.Dump();

class Person
{
	public string Name;
	
	protected virtual Person CloneCore() => new Person { Name = Name };	
	
	public Person Clone() => CloneCore();
}

class Student : Person
{
	public string ID;

	protected override Person CloneCore() => new Student { Name = Name, ID = ID };	
	
	public new Student Clone() => (Student) CloneCore();
}