<Query Kind="Expression" />

/*  WHAT'S NEW IN C# 9

General features

	• Target-typed new expressions
	• Top-level statements
	• Covariant return types
	• Attributes on local functions
	• Pattern-matching enhancements
	
Niche features

	• Lambda discards
	• Module initializers
	• Foreach extension method
	• Extended partial methods (for C# Source Generators)

Micro-optimization features

	• Function pointers
	• Static lambdas
	• [SkipLocalsInit]
	• Native-sized integers

Features for immutability

	• Init-only setters
	• Records
	
*/